# The Mostly Harmless USB!

- Website: <https://mostlyharmless.io/usb/>
- Documentation: <https://docs.libretech.shop/usb/>
- Purchase or Gift: <https://libretech.shop/product/usb/>

## Screen capture of the MH-USB

Curious about what the MH-USB looks like? And what it can do for you? Check out 
the screen capture below:

<iframe width="560" height="315" sandbox="allow-same-origin allow-scripts
  allow-popups" title="The Mostly Harmless USB Disk - Demo"
  src="https://sovran.video/videos/embed/5f1c871e-d76b-4d26-bcfa-804de1c6fdcb"
  frameborder="0" allowfullscreen>
</iframe>

URL: <https://sovran.video/w/cKcoJ1kHA2vkaWbrHVsfJg>

## Download OS images separately

The actual operating system images and installers are not a part of this git 
repository. Instead, the images are distributed separately in an archive.  
Please download the OS images from the following URL:

  <https://mostlyharmless.io/usb/images.tar>

This `tar` contains all the `.iso`, `.img` and other files present in the 
`MH-USB/OS/` and ` MH-USB/RPi` directories. Here is a listing of the current 
contents:

``` 
OS/
  OS/Fedora-Workstation-Live-x86_64-35-1.2.iso
  OS/LibreELEC-Generic.x86_64-10.0.1.img
  OS/Qubes-R4.0.4-x86_64.iso
  OS/alpine-standard-3.15.0-x86_64.iso
  OS/debian-live-11.2.0-amd64-cinnamon.iso
  OS/devuan_chimaera_4.0.0_amd64_desktop-live.iso
  OS/guix-system-install-1.3.0.x86_64-linux.iso
  OS/haiku-r1beta3-x86_64-anyboot.iso
  OS/manjaro-kde-21.2.1-220103-linux515.iso
  OS/manjaro-kde-21.2.1-minimal-220103-linux515.iso
  OS/netboot.xyz.iso
  OS/openmediavault_5.6.13-amd64.iso
  OS/openwrt-21.02.0-x86-64-generic-ext4-combined.img
  OS/proxmox-ve_7.1-2.iso
  OS/systemrescue-9.00-amd64.iso
  OS/tails-amd64-4.26.img
  OS/trisquel-mini_9.0.1_amd64.iso
  OS/ubuntu-20.04.3-desktop-amd64.iso
  OS/Fedora-Workstation-Live-x86_64-35-1.2.iso.sha256
  OS/LibreELEC-Generic.x86_64-10.0.1.img.sha256
  OS/Qubes-R4.0.4-x86_64.iso.sha256
  OS/alpine-standard-3.15.0-x86_64.iso.sha256
  OS/debian-live-11.2.0-amd64-cinnamon.iso.sha256
  OS/devuan_chimaera_4.0.0_amd64_desktop-live.iso.sha256
  OS/guix-system-install-1.3.0.x86_64-linux.iso.sha256
  OS/haiku-r1beta3-x86_64-anyboot.iso.sha256
  OS/manjaro-kde-21.2.1-220103-linux515.iso.sha256
  OS/manjaro-kde-21.2.1-minimal-220103-linux515.iso.sha256
  OS/netboot.xyz.iso.sha256
  OS/openmediavault_5.6.13-amd64.iso.sha256
  OS/openwrt-21.02.0-x86-64-generic-ext4-combined.img.sha256
  OS/proxmox-ve_7.1-2.iso.sha256
  OS/systemrescue-9.00-amd64.iso.sha256
  OS/tails-amd64-4.26.img.sha256
  OS/trisquel-mini_9.0.1_amd64.iso.sha256
  OS/ubuntu-20.04.3-desktop-amd64.iso.sha256
RPi/
  RPi/2021-10-30-raspios-bullseye-armhf-lite.zip
  RPi/LibreELEC-RPi4.arm-10.0.1.img.gz
``` 

Once the `images.tar` file is downloaded, move it to the `MH-USB/` directory 
and run: `tar xvf images.tar`.

After you've done this you can use the `prepare-usb.sh` script to create your 
own MH-USB disk.

